Skip to content

Update Location Path

PATCH
/users/{user_id}/location-paths/{path_id}
curl --request PATCH \
--url https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/location-paths/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--data '{ "geometry": [ [ 1 ] ] }'

Correct a segment’s route by replacing its geometry. Flips source→‘manual’ (a hand-drawn correction is ground truth and must survive the next inference re-run, which only touches ‘routed’ rows).

user_id
required
User Id
string format: uuid
path_id
required
Path Id
string format: uuid
Media typeapplication/json
LocationPathUpdate

Correct a segment’s route by replacing its geometry — flips source to ‘manual’.

object
geometry
required
Geometry
Array<Array<number>>
Examplegenerated
{
"geometry": [
[
1
]
]
}

Successful Response

Media typeapplication/json
LocationPathRead
object
distance_m
Any of:
number
ended_at
required
Ended At
string format: date-time
geometry
required
Geometry
Array<Array<number>>
id
required
Id
string format: uuid
local_date
Any of:
string format: date
provider
Any of:
string
source
required
Source
string
started_at
required
Started At
string format: date-time
travel_mode
Any of:
string
Examplegenerated
{
"distance_m": 1,
"ended_at": "2026-04-15T12:00:00Z",
"geometry": [
[
1
]
],
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"local_date": "2026-04-15",
"provider": "example",
"source": "example",
"started_at": "2026-04-15T12:00:00Z",
"travel_mode": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}